Subject: bug#60786: unsupported mips64el architecture can cause cryptic backtraces

From: Ludovic Courtès <[email-masked]>
Date: Sat, 14 Jan 2023 15:29:29 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> writes:

[...]

>> This issue was triggered by having make-uboot-package uses #:target [0],
>> but it already exists on current master.  I've spent some time narrowing
>> down the issue, and it is caused by the package returned by
>> cross-kernel-headers in (gnu packages cross-base) being produced with a
>> bogus arguments field, or at least one that can't be access via the
>> package-arguments accessor:

It’s not that the field cannot be accessed; the field is thunked, and
thus exceptions can be thrown when you access it, as you found out:

> OK, I think I've found the culprit:
>
>                  (setenv "ARCH" ,(platform-linux-architecture
>                                   (lookup-platform-by-target target)))

Ludo’.